Passer au contenu principal
GET
/
communication-preferences
/
2026-03
/
statuses
/
{subscriberIdString}
Get subscription preferences for a specific contact
curl --request GET \
  --url https://api.hubapi.com/communication-preferences/2026-03/statuses/{subscriberIdString} \
  --header 'Authorization: Bearer <token>'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "channel": "EMAIL",
      "source": "<string>",
      "status": "NOT_SPECIFIED",
      "subscriberIdString": "<string>",
      "subscriptionId": 123,
      "timestamp": "2023-11-07T05:31:56Z",
      "businessUnitId": 123,
      "legalBasis": "CONSENT_WITH_NOTICE",
      "legalBasisExplanation": "<string>",
      "setStatusSuccessReason": "NO_STATUS_CHANGE",
      "subscriptionName": "<string>"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

subscriberIdString
string
requis

Paramètres de requête

channel
enum<string>
requis
Options disponibles:
EMAIL
businessUnitId
integer<int64>

Réponse

successful operation

completedAt
string<date-time>
requis

The date and time when the operation was completed.

results
object[]
requis

An array of results from the operation.

startedAt
string<date-time>
requis

The date and time when the operation started.

status
enum<string>
requis

Indicates the current status of the operation, with possible values: PENDING, PROCESSING, CANCELED, COMPLETE.

Options disponibles:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
errors
object[]

A list of errors that occurred during the operation.

Contains URLs related to the response, such as documentation or resources.

numErrors
integer<int32>

The number of errors that occurred during the operation.

requestedAt
string<date-time>

The date and time when the request was made.

Last modified on April 2, 2026